#
# Conditional build:
%bcond_without	caja	# Caja support
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
#
Summary:	Engrampa - an archive manager for MATE
Summary(pl.UTF-8):	Engrampa - zarządca archiwów dla środowiska MATE
Summary(pt_BR.UTF-8):	Engrampa - gerenciador de arquivos compactados para o MATE
Name:		engrampa
Version:	1.12.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	2312750eb9abcbc35bf1d04ba83d2a76
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.9
%{?with_caja:BuildRequires:	caja-devel >= 1.1.0}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.32.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.2}
BuildRequires:	intltool >= 0.50.1
BuildRequires:	json-glib-devel >= 0.14.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-progs
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
BuildRequires:	tar >= 1:1.22
# libegg
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	glib2 >= 1:2.32.0
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.2}
Requires:	json-glib >= 0.14.0
Suggests:	bzip2
Suggests:	gzip
Suggests:	p7zip
%ifarch %{ix86}
Suggests:	rar
%else
Suggests:	unrar
%endif
Suggests:	tar
Suggests:	zip
Obsoletes:	mate-file-archiver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Engrampa is an archive manager for the MATE environment. It's a fork
of File Roller from GNOME. With Engrampa you can: create and modify
archives; view the content of an archive; view and modify a file
contained in the archive; extract files from the archive.

%description -l pl.UTF-8
Engrampa to zarządca archiwów dla środowiska MATE. Jest to
odgałęzienie programu File Roller z GNOME. Przy jego pomocy można:
tworzyć i modyfikować archiwa, oglądać ich zawartość, oglądać i
modyfikować poszczególne pliki zawarte w archiwum oraz rozpakowywać
pliki z archiwów.

%description -l pt_BR.UTF-8
Engrampa é um gerenciador de pacotes de arquivos compactados para o
ambiente MATE. Com ele é possível criar arquivos, visualizar o
conteúdo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%package -n caja-extension-engrampa
Summary:	Engrampa (archive manager) extension for Caja (MATE file manager)
Summary(pl.UTF-8):	Rozszerzenie Engrampa (zarządca archiwów) dla zarządcy plików Caja
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	caja >= 1.1.0
Obsoletes:	mate-file-manager-extension-engrampa

%description -n caja-extension-engrampa
Engrampa (archive manager) extension for Caja (MATE file manager).

%description -n caja-extension-engrampa -l pl.UTF-8
Rozszerzenie Engrampa (zarządca archiwów) dla zarządcy plików Caja.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_caja:--disable-caja-actions} \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

# just a copy of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
# update naming convention
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@ije,sr@ijekavian}

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/engrampa.convert

%find_lang engrampa --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f engrampa.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/engrampa
%attr(755,root,root) %{_libexecdir}/engrampa-server
%dir %{_libdir}/engrampa
%attr(755,root,root) %{_libdir}/engrampa/isoinfo.sh
%attr(755,root,root) %{_libdir}/engrampa/rpm2cpio
%{_datadir}/engrampa
%{_datadir}/appdata/engrampa.appdata.xml
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_desktopdir}/engrampa.desktop
%{_iconsdir}/hicolor/*/apps/engrampa.*
%{_mandir}/man1/engrampa.1*

%if %{with caja}
%files -n caja-extension-engrampa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/caja/extensions-2.0/libcaja-engrampa.so
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%endif
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/engrampa.git;a=log;h=master

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> f743489
- up to 1.12.0

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> d954838
- up to 1.10.2

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> 65ac3e5
- up to 1.10.1

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> abade09
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 0a18773
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 13b9b4c
- updated gettext BR

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> dc6ee49
- up to 1.8.1

* Wed Jul 09 2014 Jakub Bogusz <qboosh@pld-linux.org> c99cc1f
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- added json-glib dependency

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 94dd6ee
- remove mate-doc-utils invocation

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> aeb6e27
- up to 1.8.0
- rename mate-file-archiver -> engrampa
- adjust for renamed mate-file-manager -> caja

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 51c715d
- rename files mate-file-archiver -> engrampa

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7833d4e
- updated to 1.6.2

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f05eb8
- updated to 1.6.1

* Sun Jan 26 2014 Jakub Bogusz <qboosh@pld-linux.org> b7847ed
- fixed R; release 2

* Sat Dec 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 4737763
- BR find_lang with MATE support

* Fri Dec 27 2013 Jakub Bogusz <qboosh@pld-linux.org> fedc4b8
- new, modified from file-roller 2.x

